package eu.mhsl.minecraft.pixelblocks.listeners;

import org.bukkit.Bukkit;
import org.bukkit.World;
import org.bukkit.event.Cancellable;

import java.util.List;

import static eu.mhsl.minecraft.pixelblocks.PixelBlocksPlugin.plugin;

public class CommonEventHandlers {
    public static boolean isInPixelWorld(World world) {
        List<World> standardWorlds = Bukkit.getWorlds().stream()
                .filter(w -> !w.getName().startsWith(plugin.getDataFolder().getPath()))
                .toList();

        return !standardWorlds.contains(world);
    }

    public static void cancelIfInPixelWorld(Cancellable event, World world) {
        if(isInPixelWorld(world)) {
            event.setCancelled(true);
        }
    }
}
