package eu.mhsl.minecraft.pixelblocks.listeners;

import eu.mhsl.minecraft.pixelblocks.PixelBlocksPlugin;
import eu.mhsl.minecraft.pixelblocks.pixelblock.PixelBlock;
import org.bukkit.*;
import org.bukkit.entity.Interaction;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerInteractEntityEvent;

public class EnterPixelBlockListener implements Listener {
    @EventHandler
    static void enterPixelBlock(PlayerInteractEntityEvent event) {
        if(event.getRightClicked() instanceof Interaction) {
            Location interactionLocation = event
                .getRightClicked()
                .getLocation()
                .add(0, PixelBlocksPlugin.configuration.hitboxOffset(), 0)
                .toBlockLocation();

            interactionLocation.setYaw(0);
            interactionLocation.setPitch(0);

            PixelBlock pixelBlock = PixelBlock.getPixelBlockFromPlacedLocation(interactionLocation);

            assert pixelBlock != null;
            pixelBlock.enterBlock(event.getPlayer());
        }
    }
}
